
QGIS Application - Bug report #21259

Geometry Checker Crashes

2019-02-13 04:38 PM - Jeff Pickles

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: C++ plugins/Geometry Checker

Affected QGIS version:3.5(master) Regression?: No

Operating System: Any Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 29077

Description

New install of QGIS 3.4.4 ( 2/12/2019) on Windows 10 with current updates as of 2/13/2019. Working with a polygon file with many

overlaps that we need to clean up without deleting by intersection which will leave gaps.  Using geometry checker to find overlaps, set to

create a new geopackage in a new folder location all on local drives.  No Network issues.  Geom Checker produces an output and will run

the fix process on a single polygon but then crashes if we try to fix them all or if we try to close geometry checker after the first fix to

inspect it.  We have not been able to really look at the results but it looks like its just redrawing the order of the overlap on screen and not

removing the overlap with the shortest side as the rule is set to.

Related issues:

Duplicates QGIS Application - Bug report # 21231: QGIS crashes using the geom... Closed 2019-02-11

Associated revisions

Revision 1f08a061 - 2019-02-18 12:18 PM - Alessandro Pasotti

Geom checker plugin: don't crash if feedback is 0x0

Fixes #21259

History

#1 - 2019-02-13 04:46 PM - Jeff Pickles

Additional Testing shows the error may be occurring when geom checker tries to save the results as geopackage or shapefile were tested. Both file types

cause a QGIS crash on exporting the file.

#2 - 2019-02-13 05:04 PM - Jeff Pickles

User Feedback

Using geometry checker on a polygon file to find overlap, gaps, and valid geometry.  Geom Checker runs and creates the results tab.  Then QGIS crashes

if we do anything else.  If we fix one error, try to export the results to a new file or fix all the errors, QGIS crashes.

Report Details

Crash ID: 9c5c1aa2ac9800a0433dd83f38e36e4a41cb1907

Stack Trace

QgsFeaturePool::layer :

CPLStringList::size :

CPLStringList::size :

QMetaObject::activate :

QAbstractButton::clicked :
QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#3 - 2019-02-14 07:08 PM - Jeff Pickles

- File test.dbf added

- File test.prj added

- File test.qpj added

- File test.shx added

- File test.shp added

- File test.cpg added

Also same failures when running geom checker on a simple test file which we created by drawing several overlapping polygons, internal polygon and

polygon with shared vertex.

#4 - 2019-02-18 11:59 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#5 - 2019-02-18 12:20 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from Open to In Progress

- Affected QGIS version changed from 3.4.4 to 3.5(master)

- Operating System changed from windows 10 pro to Any

- Pull Request or Patch supplied changed from No to Yes
PR https://github.com/qgis/QGIS/pull/9191

#6 - 2019-02-18 02:14 PM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|1f08a061ed92c80faad0622cfbbf4cbca7ee3504.

#7 - 2019-02-18 03:28 PM - Alessandro Pasotti

- Duplicates Bug report #21231: QGIS crashes using the geometry checker added

Files

polygons.cpg 5 Bytes 2019-02-13 Jeff Pickles

polygons.dbf 5.68 KB 2019-02-13 Jeff Pickles

polygons.prj 555 Bytes 2019-02-13 Jeff Pickles

polygons.qpj 769 Bytes 2019-02-13 Jeff Pickles

polygons.shx 3.84 KB 2019-02-13 Jeff Pickles

polygons.shp 669 KB 2019-02-13 Jeff Pickles

test.cpg 5 Bytes 2019-02-14 Jeff Pickles

test.dbf 165 Bytes 2019-02-14 Jeff Pickles

test.qpj 769 Bytes 2019-02-14 Jeff Pickles

test.prj 555 Bytes 2019-02-14 Jeff Pickles

test.shx 172 Bytes 2019-02-14 Jeff Pickles

test.shp 2.87 KB 2019-02-14 Jeff Pickles
